Tryton - Issues

 

Issue1132

Title tryton-dev implemented in Python
Priority feature Status resolved
Superseder Nosy List ced, htgoebel, yangoon
Type feature request Components
Assigned To ced Keywords
Reviews

Created on 2009-08-17.13:23:46 by htgoebel, last changed by ced.

Files
File name Uploaded Type Edit Remove
0e6d2a57b631.export htgoebel, 2009-10-08.14:00:41 application/octet-stream
man-page.export htgoebel, 2009-10-08.14:16:43 application/octet-stream
wiki.export htgoebel, 2009-10-08.14:10:56 application/octet-stream
Messages
msg4921 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2009-10-23.10:13:07
Applied
msg4737 (view) Author: [hidden] (htgoebel) Date: 2009-10-08.14:16:43
Added patch adding man-page
msg4736 (view) Author: [hidden] (htgoebel) Date: 2009-10-08.14:10:56
Added patch for wiki
msg4735 (view) Author: [hidden] (htgoebel) Date: 2009-10-08.14:00:41
As requested by yangoon, enclosed a patch against http://hg.tryton.org/tryton-dev
msg4405 (view) Author: [hidden] (yangoon) Date: 2009-08-20.15:31:55
> Enclosed please find 'tryton-dev' implemented in Python. Using a Python 
> implementation in favor of a shell-script has the big benefit of being platform 
> independent -- since Tryton requires Python anyway :-)

Cool. Thx!

> The functionality has been changed a bit, since I never really understood the 
> usage of tryton-dev.sh.

What exactly did you not understand?

I put the script at http://codereview.appspot.com/110049 with some small changes to eliminate multiple downloads of the same module. Please review.
msg4384 (view) Author: [hidden] (htgoebel) Date: 2009-08-17.13:23:46
Enclosed please find 'tryton-dev' implemented in Python. Using a Python implementation in favor of a shell-script has the big benefit of being platform independent -- since Tryton requires Python anyway :-)

The functionality has been changed a bit, since I never really understood the usage of tryton-dev.sh. 

Usage examples (also see top of file):

:python tryton-dev ~/devel/tryton1.2 --branch 1.2:
  First setup using Tryton Release 1.2. The development environment
  will be created in current directory.

:python tryton-dev:
  First setup using work-in-progress development branch. The
  development environment will be created in current directory.

:python tryton-dev --url ssh://joeuser@hg.example.com/tryton/:
  First setup using a custom repository.

  N.B: If you already have set up the development environment from the
  default Tryton repository, this is a quick and easy way to fetch
  custom modules from another source. So this _adds_ unknown modules.

:python tryton-dev --update:
  Update all parts and modules within the development environment to
  the most recent version within the originating branch. This simply
  runs 'hg fupdate' on all parts.
History
Date User Action Args
2009-10-23 10:13:07cedsetstatus: chatting -> resolved
assignedto: ced
messages: + msg4921
nosy: + ced
2009-10-08 14:16:43htgoebelsetfiles: + man-page.export
messages: + msg4737
2009-10-08 14:10:56htgoebelsetfiles: + wiki.export
messages: + msg4736
2009-10-08 14:00:47htgoebelsetfiles: - tryton-dev
2009-10-08 14:00:41htgoebelsetfiles: + 0e6d2a57b631.export
messages: + msg4735
2009-08-20 15:31:56yangoonsetstatus: unread -> chatting
nosy: + yangoon
messages: + msg4405
2009-08-17 13:23:46htgoebelcreate

Showing 10 items. Show all history (warning: this could be VERY long)